//  Скетч к обзору 
//  сервопривода mg995
//  управление захватом
//  с помощью потенциометра

// подключение библиотеки Servo
#include <Servo.h> 
// создать объект servo 
Servo servo1;  
// пин для подключения сервопривода
const int pin_servo=9;
// максимальное значение угла поворота
const int angle_max=120;
// переменная для хранения текущей позиции сервопривода 
int angle = 0;     
// переменная для хранения направления  1 или -1
dir=1;
 
void setup() {
   // подключить управление сервоприводом к пину pin_servo
   servo1.attach(pin_servo);   
} 
 
void loop() { 
   // получаем значение положения потенциометра
   int val=analogRead(pin_pot);
   // масштабирование к максимальному размаху сервопривода
   int angle_t=map(val,0,1023,0,angle_max);
   // при изменении - перемещение
   if(angle_t!=angle_last) {
      // команда установки положения сервопривода
      servo1.write(angle_t);              
      // время на перемещение сервопривода
      delay(15); 
      angle_last=angle_t;
   }
} 
